actions: []
api_documentation: http://docs.ros.org/en/kinetic/api/python_qt_binding/html
authors: Dave Hershberger, Dorian Scholz, Dirk Thomas
brief: ''
bugtracker: ''
depends:
- catkin
- rosbuild
depends_on:
- dataspeed_pds_rqt
- joint_state_publisher_gui
- mobility_base_tools
- node_manager_fkie
- py_trees_ros
- qt_dotgraph
- qt_gui
- qt_gui_cpp
- qt_gui_py_common
- rqt_bag
- rqt_console
- rqt_dep
- rqt_dyn_tune
- rqt_graph
- rqt_gui
- rqt_launch
- rqt_logger_level
- rqt_moveit
- rqt_msg
- rqt_nav_view
- rqt_plot
- rqt_pose_view
- rqt_publisher
- rqt_py_common
- rqt_py_console
- rqt_reconfigure
- rqt_robot_dashboard
- rqt_robot_monitor
- rqt_robot_steering
- rqt_runtime_monitor
- rqt_shell
- rqt_tf_tree
- rqt_top
- rqt_topic
- rqt_web
- rqt_wrapper
- rviz
description: "This stack provides Python bindings for Qt.\n    There are two providers:\
  \ pyside and pyqt.  PySide is released under\n    the LGPL.  PyQt is released under\
  \ the GPL.\n\n    Both the bindings and tools to build bindings are included from\
  \ each\n    available provider.  For PySide, it is called &quot;Shiboken&quot;.\
  \  For PyQt,\n    this is called &quot;SIP&quot;.\n\n    Also provided is adapter\
  \ code to make the user's Python code\n    independent of which binding provider\
  \ was actually used which makes\n    it very easy to switch between these."
devel_jobs:
- https://build.ros.org/view/Kdev/job/Kdev__python_qt_binding__ubuntu_xenial_amd64
doc_job: https://build.ros.org/view/Kdoc/job/Kdoc__python_qt_binding__ubuntu_xenial_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: Claire Wang <clairewang@openrobotics.org>, Shane Loretz <sloretz@openrobotics.org>
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Ksrc_uX/job/Ksrc_uX__python_qt_binding__ubuntu_xenial__source
- https://build.ros.org/view/Kbin_uX64/job/Kbin_uX64__python_qt_binding__ubuntu_xenial_amd64__binary
- https://build.ros.org/view/Kbin_uX32/job/Kbin_uX32__python_qt_binding__ubuntu_xenial_i386__binary
- https://build.ros.org/view/Kbin_uxhf_uXhf/job/Kbin_uxhf_uXhf__python_qt_binding__ubuntu_xenial_armhf__binary
- https://build.ros.org/view/Kbin_uxv8_uXv8/job/Kbin_uxv8_uXv8__python_qt_binding__ubuntu_xenial_arm64__binary
repo_name: python_qt_binding
repo_url: ''
srvs: []
timestamp: 1618309295.2465656
url: http://ros.org/wiki/python_qt_binding
vcs: git
vcs_uri: https://github.com/ros-visualization/python_qt_binding.git
vcs_version: kinetic-devel
